Subject: Why MINGW32-EGCC compiled programs so big in size?
From: [email-masked] (Andrey I. Iliev)

26 Jun 1998 02:34:21 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="windows-1251"
Content-Transfer-Encoding: 7bit
To: "\"GNU-Win32\"" <[email-masked]>

I build some program (source.cpp) using 3 different compilers. 
Here is file size of executables : 
1) VC5                                68096
2) BCC 5.02                      69632
3) Cygnus b19                   23746
4) MINGW32-EGCC      176149 !!!
5) MINGW32-GCC           26046

Can anybody explain why  MINGW32-EGCC produce so big executable?
 I feel it's probably because MINGW32-EGCC  link statically some libs?
What libs and why?

All executables has been compiled with default options: 
GNU GCC: gcc -o source.exe source.cpp
VC5: cl source.cpp 
BCC5: bcc32 source.cpp.  

The program use the following headers:
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <math.h>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".